####################################################################################
#                                                                                  #
#  Copyright (c) 2013 Axel Menzel <info@axelmenzel.de>                             #
#                                                                                  #
#  This file is part of the Runtime Type Reflection System (RTTR).                 #
#                                                                                  #
#  Permission is hereby granted, free of charge, to any person obtaining           #
#  a copy of this software and associated documentation files (the "Software"),    #
#  to deal in the Software without restriction, including without limitation       #
#  the rights to use, copy, modify, merge, publish, distribute, sublicense,        #
#  and/or sell copies of the Software, and to permit persons to whom the           #
#  Software is furnished to do so, subject to the following conditions:            #
#                                                                                  #
#  The above copyright notice and this permission notice shall be included in      #
#  all copies or substantial portions of the Software.                             #
#                                                                                  #
#  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR      #
#  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,        #
#  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE     #
#  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER          #
#  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,   #
#  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE   #
#  SOFTWARE.                                                                       #
#                                                                                  #
####################################################################################

####################################################################################
# Install dependencies 
#
####################################################################################

MESSAGE(STATUS ${LIBRARY_OUTPUT_DIRECTORY})
MESSAGE(STATUS "Copy Dependencies...")
MESSAGE(STATUS "===========================")

if (BUILD_WITH_BOOST)
  find_package(Boost REQUIRED)
else()
  find_package(Boost)
  include(CheckIncludeFileCXX)
  check_include_file_cxx("type_traits" HAVE_STD_TYPE_TRAITS)
  if (NOT HAVE_STD_TYPE_TRAITS AND NOT Boost_FOUND)
    unset(HAVE_STD_TYPE_TRAITS cache)
    message(FATAL_ERROR "Has not found any <type_traits> implementation. Cannot compile for this system. Use a C++11 compiler or use BOOST.")
  endif()
endif()

MESSAGE(STATUS "Finished copying dependencies!")