/************************************************************************************
*                                                                                   *
*   Copyright (c) 2013 Axel Menzel <info@axelmenzel.de>                             *
*                                                                                   *
*   This file is part of the Runtime Type Reflection System (RTTR).                 *
*                                                                                   *
*   Permission is hereby granted, free of charge, to any person obtaining           *
*   a copy of this software and associated documentation files (the "Software"),    *
*   to deal in the Software without restriction, including without limitation       *
*   the rights to use, copy, modify, merge, publish, distribute, sublicense,        *
*   and/or sell copies of the Software, and to permit persons to whom the           *
*   Software is furnished to do so, subject to the following conditions:            *
*                                                                                   *
*   The above copyright notice and this permission notice shall be included in      *
*   all copies or substantial portions of the Software.                             *
*                                                                                   *
*   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR      *
*   IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,        *
*   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE     *
*   AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER          *
*   LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,   *
*   OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE   *
*   SOFTWARE.                                                                       *
*                                                                                   *
*************************************************************************************/

#include "TestClasses.h"

RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassSingleBase)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassSingle1A)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassSingle2A)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassSingle3A)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassSingle4A)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassSingle5A)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassSingle6A)

RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassSingle1B)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassSingle2B)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassSingle3B)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassSingle4B)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassSingle5B)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassSingle6B)

RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassSingle1C)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassSingle2C)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassSingle3C)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassSingle4C)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassSingle5C)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassSingle6C)

RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassSingle1D)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassSingle2D)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassSingle3D)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassSingle4D)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassSingle5D)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassSingle6D)

RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassSingle1E)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassSingle2E)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassSingle3E)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassSingle4E)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassSingle5E)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassSingle6E)


RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassMultipleBaseA)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassMultiple1A)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassMultiple2A)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassMultiple3A)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassMultiple4A)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassMultiple5A)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassMultiple6A)

RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassMultipleBaseB)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassMultiple1B)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassMultiple2B)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassMultiple3B)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassMultiple4B)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassMultiple5B)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassMultiple6B)

RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassMultipleBaseC)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassMultiple1C)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassMultiple2C)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassMultiple3C)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassMultiple4C)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassMultiple5C)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassMultiple6C)

RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassMultipleBaseD)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassMultiple1D)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassMultiple2D)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassMultiple3D)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassMultiple4D)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassMultiple5D)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassMultiple6D)

RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassMultipleBaseE)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassMultiple1E)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassMultiple2E)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassMultiple3E)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassMultiple4E)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassMultiple5E)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassMultiple6E)

/////////////////////////////////////////////////////////////////////////////////////////

RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassMulti1A)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassMulti2A)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassMulti3A)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassMulti4A)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassMulti5A)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassMulti6A)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassMulti7A)

RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassMulti1B)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassMulti2B)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassMulti3B)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassMulti4B)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassMulti5B)
RTTR_DEFINE_STANDARD_META_TYPE_VARIANTS(ClassMulti6B)
